﻿using System;
using UnityEngine;

namespace ImageEffects
{
	[ExecuteInEditMode]
	[AddComponentMenu("Image Effects/GGJ/EnergyDesaturate")]
	public class EnergyDesaturate : UnityStandardAssets.ImageEffects.ImageEffectBase
	{
		// Called by camera to apply image effect
		void OnRenderImage(RenderTexture source, RenderTexture destination)
		{
			Graphics.Blit(source, destination, material);
		}

		public Material GetMaterial() { return material; }
	}
}
