﻿Shader "Hidden/EnergyDesaturateEffect"
{
	Properties {
		_MainTex ("Base (RGB)", 2D) = "white" {}
		_energy ("Energy", float) = 0
	}

	SubShader {
		Pass {
			ZTest Always Cull Off ZWrite Off
				
	CGPROGRAM
	#pragma vertex vert_img
	#pragma fragment frag
	#include "UnityCG.cginc"

	uniform sampler2D _MainTex;
	float _energy;

	fixed4 frag (v2f_img i) : SV_Target
	{	
		fixed4 col = tex2D(_MainTex, i.uv);
	//	float energy = saturate(frac((-_Time.y)*0.1)*1.2-0.1);
	//	energy = saturate( energy - saturate(sin(energy*3.14159*20))*0.03 );
	//	energy = 1-energy;
		float energy = _energy;
	//	energy = 1;
	//	energy = max(energy, 0.1);
		energy += 0.2;

		float msk = 1-length(i.uv - float2(0.875, 0.5))/length(float2(0.875, 0.5));

		float mask = saturate( (msk.r - (1-energy))*10 );

		col.rgb = lerp( dot(col.rgb,1/3.0).xxx, col.rgb, mask );
	
		return col;
	}
	ENDCG

		}
	}

	Fallback off

}
