﻿using UnityEngine;

public class GlobalSettings : MonoBehaviour
{
    public static GlobalSettings Instance;

    public Sprite SpriteTutorialBackground;
    public Sprite SpriteTutorialUp;
    public Sprite SpriteTutorialLeft;
    public Sprite SpriteTutorialRight;
    public float TutorialVisibleTime = 1f;
    public float TutorialShowTime = 0.1f;
    public float MoveDistanceHorizontal = 1.5f;
    public float MoveDistanceVertical = 0.5f;
    public float MoveRotation = 10f;
    public float MoveSpeed = 0.2f;
    public float SmokePuffGrowSpeed = 0.05f;
    public float SmokePuffShrinkSpeed = 0.4f;
    public float CubicleObjectHitRotation = 5f;
    public float CubicleObjectHitSquish = 0.1f;
    public float CubicleObjectHitTime = 0.1f;
	public float MexicanZenWave = 0.05f;
	public float TransitionTotal = 0.75f;
	public float TransitionSwitch = 0.75f/2;

    void Awake()
    {
        Instance = this;
    }
}
