﻿using UnityEngine;

public class SetCameraSize : MonoBehaviour
{
    public float referenceHeight = 1080f;

    void Start()
    {
        Camera camera = GetComponent<Camera>();

        float orthographicSizeReference = referenceHeight / 200f;
        float differenceFrom169 = (16f / 9f) / ((float)Screen.width / (float)Screen.height);
        float orthographicSize = referenceHeight / 200f * differenceFrom169;
        camera.orthographicSize = orthographicSize;
        camera.transform.position = new Vector3(camera.transform.position.x, orthographicSize - orthographicSizeReference, camera.transform.position.z);
    }
}
